Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.simulators
Interface DESSSimulatorInterface

All Superinterfaces:
  nl.tudelft.simulation.event.EventProducerInterface, java.rmi.Remote, java.io.Serializable, SimulatorInterface

All Known Subinterfaces:
  AnimatorInterface, DEVDESSSimulatorInterface

All Known Implementing Classes:
  Animator, DESSSimulator, DEVDESSSimulator, RealTimeClock

public interface DESSSimulatorInterface
extends SimulatorInterface

The DESS defines the interface of the DESS simulator. DESS stands for the Differential Equation System Specification. More information on Modeling & Simulation can be found in "Theory of Modeling and Simulation" by Bernard Zeigler et. al.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.8 2004-03-18
Author:
  Peter Jacobs

Field Summary
`static double` | `DEFAULT_TIME_STEP` DEFAULT_TIME_STEP represents the default timestep for the simulator
`static nl.tudelft.simulation.event.EventType` | `TIME_STEP_CHANGED_EVENT` TIME_STEP_CHANGED_EVENT is fired when the time step is set

Fields inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`END_OF_REPLICATION_EVENT, START_EVENT, START_REPLICATION_EVENT, STEP_EVENT, STOP_EVENT, TIME_CHANGED_EVENT, WARMUP_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Method Summary
`double` | `getTimeStep()` returns the time step of the DESS simulator
`void` | `setTimeStep(double timeStep)` Method setTimeStep sets the time step of the simulator

Methods inherited from interface nl.tudelft.simulation.dsol.simulators.SimulatorInterface
`getReplication, getSimulatorTime, initialize, isRunning, start, step, stop`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Field Detail

### TIME_STEP_CHANGED_EVENT

    public static final nl.tudelft.simulation.event.EventType TIME_STEP_CHANGED_EVENT

  TIME_STEP_CHANGED_EVENT is fired when the time step is set

### DEFAULT_TIME_STEP

    public static final double DEFAULT_TIME_STEP

  DEFAULT_TIME_STEP represents the default timestep for the simulator

  See Also:
    Constant Field Values

Method Detail

### getTimeStep

    public double getTimeStep()
                       throws java.rmi.RemoteException

  returns the time step of the DESS simulator

  Returns:
    the timeStep
  Throws:
    `java.rmi.RemoteException` - on network failure

### setTimeStep

    public void setTimeStep(double timeStep)
                     throws java.rmi.RemoteException

  Method setTimeStep sets the time step of the simulator

  Parameters:
    `timeStep` - the new timeStep. Its value should be >0.0
  Throws:
    `java.rmi.RemoteException` - on network failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.